### Property

# Gtk Dialog:use-header-bar

deprecated: 4.10 since: 4.0

#### Declaration

    property use-header-bar: int [ read, write, construct-only ]

#### Description [src]

`TRUE` if the dialog uses a headerbar for action buttons instead of the action-area.

For technical reasons, this property is declared as an integer property, but you should only set it to `TRUE` or `FALSE`.

## Creating a dialog with headerbar

Builtin `GtkDialog` subclasses such as `GtkColorChooserDialog` set this property according to platform conventions (using the `GtkSettings:gtk-dialogs-use-header` setting).

Here is how you can achieve the same:

    g_object_get (settings, "gtk-dialogs-use-header", &header, NULL);
    dialog = g_object_new (GTK_TYPE_DIALOG, header, TRUE, NULL);

Type: | `gint`
Available since: | 4.0
Deprecated since: | 4.10
Use `GtkWindow` instead.

Default value | -1

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes